package org.dromara.system.domain;

import org.dromara.common.mybatis.core.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 页面对象 tbl_page
 *
 * @author Lion Li
 * @date 2024-07-26
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("tbl_page")
public class TblPage extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 页面名称
     */
    private String name;

    /**
     * 页面数据
     */
    private String content;

    /**
     * 扩展1
     */
    private String ext1;

    /**
     * 扩展2
     */
    private String ext2;


}
